<h1>New Electricity Request</h1>

<%= form_with scope: :request, url: requests_path, local: true do |form| %>

  <% if @request.errors.any? %>
    <div id="error_explanation">
      <h2>
        <%= pluralize(@request.errors.count, "field") %>  need to be amended before your request can be submitted:
      </h2>
      <ul>
        <% @request.errors.full_messages.each do |msg| %>
          <li><%= msg %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <p>
    <%= form.label :customer_name %><br>
    <%= form.text_field :customer_name %>
  </p>

  <p>
    <%= form.label :email %><br>
    <%= form.text_field :email %>
  </p>
  <p>
    <%= form.label :phone %><br>
    <%= form.text_field :phone %>
  </p>

  <p>
    <%= form.label :customer_address1 %><br>
    <%= form.text_field :customer_address1 %>
  </p>
  <p>
    <%= form.label :customer_address2 %><br>
    <%= form.text_field :customer_address2 %>
  </p>
  <p>
    <%= form.label :customer_suburb %><br>
    <%= form.text_field :customer_suburb %>
  </p>
  <p>
    <%= form.label :customer_postcode %><br>
    <%= form.text_field :customer_postcode %>
  </p>
  <p>
    <%= form.label :customer_city %><br>
    <%= form.text_field :customer_city %>
  </p>
  <p>
    <%= form.label :customer_icp %><br>
    <%= form.text_field :customer_icp %>
  </p>

  <p>
    <%= form.submit %>
  </p>

<% end %>
<%= render 'shared/nav' %>